# Uses of Interface
org.eclipse.birt.chart.model.layout.ClientArea

Packages that use ClientArea
Package
Description
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.

## Uses of ClientArea in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return ClientArea
Modifier and Type
Method
Description
`ClientArea`
ClientArea.`copyInstance()`
`ClientArea`
LayoutFactory.`createClientArea()`
Returns a new object of class 'Client Area'.
`ClientArea`
Legend.`getClientArea()`
Returns the value of the 'Client Area' containment reference.
`ClientArea`
Plot.`getClientArea()`
Returns the value of the 'Client Area' containment reference.
Methods in org.eclipse.birt.chart.model.layout with parameters of type ClientArea
Modifier and Type
Method
Description
`void`
Legend.`setClientArea(ClientArea value)`
Sets the value of the '`Client Area`' containment reference.
`void`
Plot.`setClientArea(ClientArea value)`
Sets the value of the '`Client Area`' containment reference.

## Uses of ClientArea in org.eclipse.birt.chart.model.layout.impl

Classes in org.eclipse.birt.chart.model.layout.impl that implement ClientArea
Modifier and Type
Class
Description
`class`
`ClientAreaImpl`
An implementation of the model object 'Client Area'.
Methods in org.eclipse.birt.chart.model.layout.impl that return ClientArea
Modifier and Type
Method
Description
`ClientArea`
ClientAreaImpl.`copyInstance()`
`ClientArea`
LayoutFactoryImpl.`createClientArea()`
`ClientArea`
LegendImpl.`getClientArea()`
`ClientArea`
PlotImpl.`getClientArea()`
Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type ClientArea
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
LegendImpl.`basicSetClientArea(ClientArea newClientArea, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
PlotImpl.`basicSetClientArea(ClientArea newClientArea, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
LegendImpl.`setClientArea(ClientArea newClientArea)`
`void`
PlotImpl.`setClientArea(ClientArea newClientArea)`